org.gradle.api

## Class Namer.Comparator<T>

- java.lang.Object
- - org.gradle.api.Namer.Comparator<T>

- All Implemented Interfaces:
    Comparator<T>
  Enclosing interface:
    Namer<T>

      public static class Namer.Comparator<T>
      extends Object
      implements Comparator<T>

  A comparator implementation based on the names returned by the given namer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Namer.Comparator(Namer<? super T> namer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(T o1, T o2)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Namer.Comparator

          public Namer.Comparator(Namer<? super T> namer)

  - ### Method Detail

    - #### compare

          public int compare(T o1,
                    T o2)

      Specified by:
        `compare` in interface `Comparator<T>`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `Comparator<T>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`